%global rbname narray
Summary: Ruby/NArray - Fast and easy calclation for large numerical array
Name: ruby-%{rbname}

%global momorel 5
%global patchlevel p3

Version: 0.5.7
Release: %{momorel}m
Group: Development/Libraries
License: GPL
URL: http://www.ir.isas.ac.jp/~masa/ruby/
%NoSource 0 http://www.ir.isas.ac.jp/~masa/ruby/dist/narray-%{version}%{?patchlevel:%{patchlevel}}.tar.gz 49784db52976070647151ce052f69a60

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.2, fftw-devel

%description
+ Fast and easy calclation for large numerical array.
+ Accepting Elements:
  8,16,32 bit integer, single/double float/complex, Ruby Object.
+ Easy extraction/substitution of array subset,
  using assignment with number, range, array index.
+ Operator: +,-,*,/,%,**, etc.
+ FFTW interface.
+ NImage: Image viewer class.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n narray-%{version}%{?patchlevel:%{patchlevel}}

%build
ruby extconf.rb
make rubylibdir=%{ruby_libdir} 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install sitedir=%{buildroot}%{_libdir}/ruby

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog README* SPEC*
%doc nimage speed test
%{ruby_libdir}/narray_ext.rb
%{ruby_libdir}/nmatrix.rb
%{ruby_archdir}/narray.so
%{ruby_archdir}/narray.h
%{ruby_archdir}/narray_config.h

%changelog
* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.7-5m)
- version up to 0.5.7p3
- rebuild against ruby-1.8.2

* Thu May 20 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.7-4m)
- miner verup

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.7-3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.7-2m)
- rebuild against ruby-1.8.0.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.7-1m)
- version up.

* Sun Nov 24 2002 Kenta MURATA <muraken@momonga-linux.org>
- (0.5.6p2-1m)
- version 0.5.6p2 ([Momonga-devel.ja:00846]; thanks KOZUKA).

* Tue Mar 26 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.5.6p1-2k)
- version 0.5.6p1.

* Tue Mar 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5.6-2k)

* Sun Nov  9 2001 Kenta MURATA <muraken2@nifty.com>
- (0.5.4-2k)
- verion 0.5.4.

* Sun Apr 1 2001 SAKUMA Junichi <fk5j-skm@asahi-net.or.jp>
- (0.5.3-5k)
- version 0.5.3
- revised spec file.
- revised patch file.

* Fri Jan 19 2001 Toru Hoshina <toru@df-usa.com>
- (0.3.5.p1-5k)
- revised spec file.

* Fri Nov  3 2000 AYUAHANA Tomonori <l@kondara.org>
- (0.3.5.p1-1k)
- first release.
